%define	lvmver	1.0.1-rc4

Summary: Logical Volume Manager common files (wrapper).
Name: lvm-base
Version: 1.2
Release: fr1
Source0: ftp://ftp.sistina.com/lvm/lvm_%{lvmver}.tar.bz2
Source1: lvm-wrapper
Source2: lvmiopversion.c
Source3: BeginnersGuide-to-LVM.txt
URL: http://sistina.com/lvm/
License: GPL
Group: System Environment/Base
Conflicts: lvm <= 0.8.1
Obsoletes: lvm <= 0.8.1, lvm-iop10-man
BuildRoot: %{_tmppath}/%{name}-root

# This is an unusual package, and I'll try to explain it here. The LVM
# implementation in Linux makes use of different I/O protocol versions:
# LVM 0.8i was IOP 5, LVM 0.8final was IOP 6, and LVM 0.9 is IOP 10.
# Different kernels can use different IOPs so different version of the
# userspace tools should be available simultaneously. Russel Coker, in
# linux-lvm, proposed, in his Debian packages, the placement of different
# IOP tools in /lib/lvm-<ver> and wrappers in /sbin to select the
# appropriate version. For this Conectiva package, I'm placing common
# files such as manpages in lvm-base, and the actual tools with different
# IOPs in lvm-iop<ver>-<release>, e.g. lvm-iop6-0.8.1-1cl. All files
# are linked to a single wrapper, lvm-wrapper.
#
# Andreas Dilger advocates changes to be made in PATH, without wrappers.
# This is indeed a cleaner approach, but some scripts may expect the
# tools to be placed in /sbin -- so we'll go for wrappers.
#
# claudio 

%description 
LVM includes all of the support for handling read/write operations on
physical volumes (hard disks, RAID-Systems, magneto optical, multiple
devices (MD) or even loop devices), creating volume groups (virtual disks)
from one or more physical volumes and creating one or more logical volumes
(logical partitions) in volume groups.

This package provides generic components, you'll also need to install
the files specific for your IOP version.

%prep
%setup -q -n LVM/%{lvmver}

%build
./configure
pushd tools
	cp %{_sourcedir}/lvmiopversion.c .
	gcc -I . -I lib -o lvmiopversion lvmiopversion.c \
		lib/lvm_get_iop_version.c lib/lvm_check_special.c
popd
cp %{SOURCE3} .

%install
rm -rf %{buildroot}
install -m 755 -D %{_sourcedir}/lvm-wrapper %{buildroot}/sbin/vgscan
install -m 755 tools/lvmcreate_initrd %{buildroot}/sbin/
install -m 755 tools/lvmiopversion %{buildroot}/sbin/
mkdir -p %{buildroot}%{_mandir}/man8
install -m 644 tools/man8/* %{buildroot}%{_mandir}/man8/
pushd %{buildroot}/sbin
	for i in e2fsadm lvchange lvcreate lvdisplay lvextend \
	lvmchange lvmdiskscan lvmsadc lvmsar lvreduce lvremove \
	lvrename lvscan pvchange pvcreate pvdata pvdisplay pvmove pvscan \
	vgcfgbackup vgcfgrestore vgchange vgck vgcreate vgdisplay vgexport \
	vgextend vgimport vgmerge vgmknodes vgreduce vgremove vgrename \
	vgsplit; do ln -s vgscan $i; done
popd

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc ABSTRACT CHANGELOG CONTRIBUTORS COPYING* FAQ KNOWN_BUGS LVM-HOWTO README
%doc TODO WHATSNEW BeginnersGuide-to-LVM.txt
%attr(755, root, root) /sbin/*
%{_mandir}/man8/*

%changelog
* Sun Oct 21 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 1.0.1-rc4.
- Put the man pages back in, users should get the latest lvm-base
  package when installing a new iop one anyway.
- Added e2fsadm to the links.
- Updated the %doc entries, and added BeginnersGuide-to-LVM.txt.

* Wed May 30 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Spec file cleanup for Red Hat 7.1.
- Removed the man pages, get them in the separate package!

* Tue Mar 13 2001 A.J. Lewis <lewis@sistina.com>
+ 1.1-1
- Grabbed the latest lvm tarball (0.9.1 Beta6)
- Man pages current, so may not be completely accurate for older versions
  of the LVM tools
- Added the README.initscript file into the documents to explain how to setup
  /etc/rc.d/rc.sysinit to work with LVM
- Changed the lvm-wrapper script to use sed instead of basename for distro
  compatibility

* Thu Dec 21 2000 Claudio Matsuoka <claudio@conectiva.com>
+ 1.0-4cl
- merged Andreas Dilger's changes to the wrapper script
- added lvmiopversion

* Wed Dec 20 2000 Claudio Matsuoka <claudio@conectiva.com>
+ 1.0-3cl
- fixed build architecture

* Wed Dec 20 2000 Claudio Matsuoka <claudio@conectiva.com>
+ 1.0-2cl
- fixed wrapper script for IOP10

* Sun Dec 17 2000 Claudio Matsuoka <claudio@conectiva.com>
+ 1.0-1cl
- package created

